Browser Requirements

Full and proper functionality of our website requires your browser to meet a few basic requirements, as described below. If this site is looking or behaving strangely, please check that your browser meets these requirements. If you would like help doing so, please call our customer support number. We will be happy to assist.

Javascript

This site requires that javascript be enabled in your browser to ensure all parts of our website function properly.

Flash

Some course material is delivered via Adobe Flash. In order to take these courses you must have Flash version 10.0 or greater. You can download the latest version of Flash at Adobe's website (http://get.adobe.com/flashplayer)

Cookies

Your browser must have cookies enabled.

Browsers

Supported browsers include: